--- Makefile.orig	2009-09-27 03:40:18.000000000 -0500
+++ Makefile	2011-10-29 02:06:00.000000000 -0500
@@ -1,27 +1,30 @@
+JAVA_BASE=/System/Library/Frameworks/JavaVM.framework
+JAVA_HOME=$(JAVA_BASE)/Home
+
 TARGET=MeCab
-JAVAC=javac
-JAVA=java
-JAR=jar
-CXX=c++
-INCLUDE=/usr/lib/jvm/java-6-openjdk/include
+JAVAC=$(JAVA_HOME)/bin/javac -encoding UTF-8
+JAVA=$(JAVA_HOME)/bin/java -Dfile.encoding=UTF-8
+JAR=$(JAVA_HOME)/bin/jar
+CXX=g++
+INCLUDE=$(JAVA_BASE)/Headers
 
 PACKAGE=org/chasen/mecab
 
 LIBS=`mecab-config --libs`
-INC=`mecab-config --cflags` -I$(INCLUDE) -I$(INCLUDE)/linux
+INC=`mecab-config --cflags` -I$(INCLUDE)
 
 all:
-	$(CXX) -O3 -c -fpic $(TARGET)_wrap.cxx  $(INC)
-	$(CXX) -shared  $(TARGET)_wrap.o -o lib$(TARGET).so $(LIBS)
+	$(CXX) $(CXXFLAGS) -c -fPIC $(TARGET)_wrap.cxx $(INC)
+	$(CXX) $(CXXFLAGS) -dynamiclib $(TARGET)_wrap.o -o libmecab-java.dylib $(LIBS)
 	$(JAVAC) $(PACKAGE)/*.java
 	$(JAVAC) test.java
 	$(JAR) cfv $(TARGET).jar $(PACKAGE)/*.class
 
 test:
-	env LD_LIBRARY_PATH=. $(JAVA) test
+	$(JAVA) test
 
 clean:
-	rm -fr *.jar *.o *.so *.class $(PACKAGE)/*.class
-	
+	rm -fr *.jar *.o *.dylib *.class $(PACKAGE)/*.class
+
 cleanall:
 	rm -fr $(TARGET).java *.cxx
